Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class MatchEngineConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.MatchEngineConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class MatchEngineConfig
extends java.lang.Object
implements ConfigurationInfo

Handles the the SBME Configuration files

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CFG_TYPE_MATCH` Configuration type to request match configuration files
`static java.lang.String` | `CFG_TYPE_STANDARDIZATION` Configuration type to request standardization configuration files
`static java.lang.String` | `MODULE_NAME` Module Name to use with the Configuration Service to load the Match Engine configuration

Constructor Summary
`MatchEngineConfig()` Creates new instance

Method Summary
`void` | `addFile(java.lang.String configType, java.lang.String name, byte[] contents)` Adds a file to this configuration.
`int` | `finish()` Finish.
`byte[]` | `getFileContents(java.lang.String configType, java.lang.String name)` Getter for the configuration file contents.
`byte[]` | `getFileContents(java.lang.String configType, java.lang.String name, java.lang.String domain)` Getter for the configuration file contents.
`java.lang.String` | `getModuleType()` Getter for ModuleType attribute object.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_TYPE_MATCH

    public static final java.lang.String CFG_TYPE_MATCH

  Configuration type to request match configuration files

  See Also:
    Constant Field Values

### CFG_TYPE_STANDARDIZATION

    public static final java.lang.String CFG_TYPE_STANDARDIZATION

  Configuration type to request standardization configuration files

  See Also:
    Constant Field Values

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

  Module Name to use with the Configuration Service to load the Match Engine configuration

  See Also:
    Constant Field Values

Constructor Detail

### MatchEngineConfig

    public MatchEngineConfig()

  Creates new instance

Method Detail

### addFile

    public void addFile(java.lang.String configType,
                        java.lang.String name,
                        byte[] contents)

  Adds a file to this configuration.

  Parameters:
    `configType` - The type of configuration files. Use the constants CFG_TYPE_MATCH or CFG_TYPE_STANDARDIZATION.
    `name` - The file name.
    `contents` - The file contents.

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getFileContents

    public byte[] getFileContents(java.lang.String configType,
                                  java.lang.String name)

  Getter for the configuration file contents.

  Parameters:
    `configType` - The type of configuration files. Use the constants CFG_TYPE_MATCH or CFG_TYPE_STANDARDIZATION.
    `name` - The file name to get the file contents for.
  Returns:
    the file contents, null if no file exists.

### getFileContents

    public byte[] getFileContents(java.lang.String configType,
                                  java.lang.String name,
                                  java.lang.String domain)

  Getter for the configuration file contents.

  Parameters:
    `configType` - the type of configuration files. Use the constants CFG_TYPE_MATCH or CFG_TYPE_STANDARDIZATION.
    `name` - The file name to get the file contents for.
    `domain` - The domain name to get the file contents for.
  Returns:
    the file contents, null if no file exists.

### getModuleType

    public java.lang.String getModuleType()

  Getter for ModuleType attribute object.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    the type of this configuration module

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.